## simutrans 102.0

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,15 @@
 endif
 
 ifeq ($(OSTYPE),mac)
-  CFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz -framework SDL -framework Cocoa
+  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
+  CXXFLAGS   += -DUSE_HW -DUSE_C
+  STD_LIBS ?= -lz
 endif
 
 ifeq ($(OSTYPE),linux)
   STD_LIBS ?= -lz
 endif
+
 
 ifeq ($(OSTYPE),cygwin)
   OS_INC   ?= -I/usr/include/mingw
@@ -50,7 +52,11 @@
 ifeq ($(OSTYPE),mingw)
   SOURCES += simsys_w32_png.cc
   OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz -lmingw32 -lgdi32 -lwinmm
+  STD_LIBS ?= -lz
+  ifeq ($(BACKEND),gdi)
+    STD_LIBS +=  -lunicows
+  endif
+  STD_LIBS += -lmingw32 -lgdi32 -lwinmm
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -200,6 +206,7 @@
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
 SOURCES += gui/components/gui_label.cc
+SOURCES += gui/components/gui_numberinput.cc
 SOURCES += gui/components/gui_scrollbar.cc
 SOURCES += gui/components/gui_scrolled_list.cc
 SOURCES += gui/components/gui_scrollpane.cc
@@ -216,6 +223,7 @@
 SOURCES += gui/curiositylist_frame_t.cc
 SOURCES += gui/curiositylist_stats_t.cc
 SOURCES += gui/depot_frame.cc
+SOURCES += gui/enlarge_map_frame_t.cc
 SOURCES += gui/extend_edit.cc
 SOURCES += gui/fabrik_info.cc
 SOURCES += gui/factory_edit.cc
@@ -237,7 +245,9 @@
 SOURCES += gui/jump_frame.cc
 SOURCES += gui/karte.cc
 SOURCES += gui/kennfarbe.cc
-SOURCES += gui/label_frame.cc
+SOURCES += gui/label_info.cc
+SOURCES += gui/labellist_frame_t.cc
+SOURCES += gui/labellist_stats_t.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
 SOURCES += gui/loadsave_frame.cc
@@ -256,9 +266,14 @@
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
+SOURCES += gui/station_building_select.cc
 SOURCES += gui/thing_info.cc
 SOURCES += gui/welt.cc
 SOURCES += gui/werkzeug_waehler.cc
+SOURCES += player/ai.cc
+SOURCES += player/ai_goods.cc
+SOURCES += player/ai_passenger.cc
+SOURCES += player/simplay.cc
 SOURCES += old_blockmanager.cc
 SOURCES += simcity.cc
 SOURCES += simconvoi.cc
@@ -277,7 +292,6 @@
 SOURCES += simmenu.cc
 SOURCES += simmesg.cc
 SOURCES += simplan.cc
-SOURCES += simplay.cc
 SOURCES += simskin.cc
 SOURCES += simsound.cc
 SOURCES += simticker.cc
@@ -294,7 +308,7 @@
 SOURCES += utils/cstring_t.cc
 SOURCES += utils/log.cc
 SOURCES += utils/searchfolder.cc
-SOURCES += utils/simstring.c
+SOURCES += utils/simstring.cc
 SOURCES += vehicle/movingobj.cc
 SOURCES += vehicle/simpeople.cc
 SOURCES += vehicle/simvehikel.cc
@@ -304,9 +318,9 @@
 
 
 ifeq ($(BACKEND),allegro)
-  SOURCES  += simsys_d.c
-  SOURCES += sound/allegro_sound.c
-  SOURCES += music/allegro_midi.c
+  SOURCES  += simsys_d.cc
+  SOURCES += sound/allegro_sound.cc
+  SOURCES += music/allegro_midi.cc
   ifeq ($(ALLEGRO_CONFIG),)
     ALLEGRO_CFLAGS  :=
     ALLEGRO_LDFLAGS := -lalleg
@@ -322,26 +336,36 @@
 
 
 ifeq ($(BACKEND),gdi)
-  SOURCES += simsys_w$(COLOUR_DEPTH).c
-  SOURCES += music/w32_midi.c
-  SOURCES += sound/win32_sound.c
-  STD_LIBS ?=  -lunicows
+  SOURCES += simsys_w$(COLOUR_DEPTH).cc
+  SOURCES += music/w32_midi.cc
+  SOURCES += sound/win32_sound.cc
 endif
 
 
 ifeq ($(BACKEND),sdl)
-  SOURCES  += simsys_s.c
+  SOURCES  += simsys_s.cc
   CFLAGS   += -DUSE_16BIT_DIB
   CXXFLAGS += -DUSE_16BIT_DIB
-  SOURCES  += sound/sdl_sound.cc
-  ifeq ($(findstring $(OSTYPE), cygwin mingw),)
-    SOURCES += music/no_midi.cc
+  ifeq ($(OSTYPE),mac)
+    # Core Audio (Quicktime) base sound system routines
+    SOURCES += sound/core-audio_sound.mm
+    SOURCES += music/core-audio_midi.mm
   else
-    SOURCES += music/w32_midi.c
+    SOURCES  += sound/sdl_sound.cc
+    ifeq ($(findstring $(OSTYPE), cygwin mingw),)
+	    SOURCES += music/no_midi.cc
+    else
+      SOURCES += music/w32_midi.cc
+    endif
   endif
   ifeq ($(SDL_CONFIG),)
-    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
-    SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
+    ifeq ($(OSTYPE),mac)
+      SDL_CFLAGS  := -I/System/Libraries/Frameworks/SDL/Headers -Dmain=SDL_main
+      SDL_LDFLAGS := -framework SDL -framework Cocoa -I/System/Libraries/Frameworks/SDL/Headers SDLMain.m
+    else
+      SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
+      SDL_LDFLAGS := -lSDLmain -lSDL -mwindows
+    endif
   else
     SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
@@ -354,7 +378,7 @@
 
 
 ifeq ($(BACKEND),mixer_sdl)
-  SOURCES  += simsys_s.c
+  SOURCES  += simsys_s.cc
   SOURCES += sound/sdl_mixer_sound.cc
   SOURCES += music/sdl_midi.cc
   CFLAGS   += -DUSE_16BIT_DIB
@@ -388,7 +412,7 @@
 endif
 
 
-PROG = sim
+PROG ?= sim
 
 
 include common.mk
