## simutrans 102.2.2~ds1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 -include $(CONFIG)
 
 
-BACKENDS      = allegro gdi sdl mixer_sdl x11
-COLOUR_DEPTHS = 8 16
-OSTYPES       = beos cygwin freebsd linux mingw mac
+BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
+COLOUR_DEPTHS = 0 8 16
+OSTYPES       = beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -25,38 +25,43 @@
 
 
 ifeq ($(OSTYPE),beos)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
+endif
+
+ifeq ($(OSTYPE),haiku)
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),freebsd)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mac)
   CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
   CXXFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),linux)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 
 ifeq ($(OSTYPE),cygwin)
   OS_INC   ?= -I/usr/include/mingw
   OS_OPT   ?= -mwin32
-  STD_LIBS ?= -lgdi32 -lwinmm -lz
+  STD_LIBS ?= -lgdi32 -lwinmm -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
+  CC ?= gcc
   SOURCES += simsys_w32_png.cc
   OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
   ifeq ($(BACKEND),gdi)
     STD_LIBS +=  -lunicows
   endif
-  STD_LIBS += -lmingw32 -lgdi32 -lwinmm
+  STD_LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -96,9 +101,9 @@
 endif
 
 ifneq ($(PROFILE),)
-  CFLAGS   += -pg
-  CXXFLAGS += -pg
-  LDFLAGS  += -pg
+  CFLAGS   += -pg -DPROFILE -fno-inline
+  CXXFLAGS += -pg -DPROFILE -fno-inline
+  LDFLAGS += -pg
 endif
 
 CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
@@ -168,6 +173,7 @@
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
 SOURCES += dataobj/marker.cc
+SOURCES += dataobj/network.cc
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
@@ -263,6 +269,8 @@
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/schedule_list.cc
+SOURCES += gui/settings_frame.cc
+SOURCES += gui/settings_stats.cc
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
@@ -405,6 +413,12 @@
   LIBS     += -L/usr/X11R6/lib/ -lX11 -lXext
 endif
 
+ifeq ($(BACKEND),posix)
+  SOURCES += simsys_posix.cc
+  SOURCES += music/no_midi.cc
+  SOURCES += sound/no_sound.cc
+endif
+
 
 ifneq ($(findstring $(OSTYPE), cygwin mingw),)
   SOURCES += simres.rc
@@ -419,5 +433,3 @@
 
 
 makeobj_prog:
-	$(MAKE) -e -C makeobj FLAGS="$(FLAGS)"
-
