## simutrans 110.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
 COLOUR_DEPTHS = 0 8 16
-OSTYPES       = beos cygwin freebsd haiku linux mingw mac
+OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -24,44 +24,54 @@
 endif
 
 
+ifeq ($(OSTYPE),amiga)
+  STD_LIBS ?= -lz -lbz2 -lunix -lpthread -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
+  CFLAGS += -mcrt=newlib -DUSE_C -DBIG_ENDIAN -gstabs+
+  LDFLAGS += -Bstatic -non_shared
+endif
+
 ifeq ($(OSTYPE),beos)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lnet -lbz2
 endif
 
 ifeq ($(OSTYPE),haiku)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lnetwork -lbz2
 endif
 
 ifeq ($(OSTYPE),freebsd)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mac)
-  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
-  CXXFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz -lbz2
+  CFLAGS  += -DUSE_HW
+  CCFLAGS += -Os -fast
+  LIBS    += -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),linux)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lbz2
 endif
 
 
 ifeq ($(OSTYPE),cygwin)
-  OS_INC   ?= -I/usr/include/mingw
-  OS_OPT   ?= -mwin32
-  STD_LIBS ?= -lgdi32 -lwinmm -lz -lbz2
+  CFLAGS += -I/usr/include/mingw -mwin32
+  LIBS   += -lgdi32 -lwinmm -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
   SOURCES += simsys_w32_png.cc
-  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz -lbz2
+  CFLAGS  += -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
   ifeq ($(BACKEND),gdi)
-    STD_LIBS +=  -lunicows
-  endif
-  STD_LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32
+    LIBS += -lunicows
+  endif
+  LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32 -lz -lbz2
+endif
+
+ifeq ($(OSTYPE),mingw)
+  SOURCES += clipboard_w32.cc
+else
+  SOURCES += clipboard_internal.cc
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -69,45 +79,44 @@
 
 
 ifneq ($(OPTIMISE),)
-  ifneq ($(PROFILE),)
-    CFLAGS   += -O3 -minline-all-stringops
-    CXXFLAGS += -O3
-  else
-    CFLAGS   += -O3 -fomit-frame-pointer
-    CXXFLAGS += -O3 -fomit-frame-pointer
-  endif
+    CFLAGS += -O3 -fno-schedule-insns
   ifneq ($(OSTYPE),mac)
-    CFLAGS   += -minline-all-stringops
-    LDFLAGS += -ffunctions-sections
+    ifneq ($(OSTYPE),haiku)
+      CFLAGS += -minline-all-stringops
+    endif
   endif
 else
-  CFLAGS   += -O
-  CXXFLAGS += -O
+  CFLAGS += -O
 endif
 
 ifdef DEBUG
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
-    CFLAGS   += -g -DDEBUG
-    CXXFLAGS += -g -DDEBUG
+    CFLAGS += -g -DDEBUG
   endif
   ifeq ($(shell expr $(DEBUG) \>= 2), 1)
-    CFLAGS   += -fno-inline
-    CXXFLAGS += -fno-inline
+    CFLAGS += -fno-inline
   endif
   ifeq ($(shell expr $(DEBUG) \>= 3), 1)
-    CFLAGS   += -O0
-    CXXFLAGS += -O0
-  endif
+    CFLAGS += -O0
+  endif
+else
+  CFLAGS += -DNDEBUG
 endif
 
 ifneq ($(PROFILE),)
-  CFLAGS   += -pg -DPROFILE -fno-inline
-  CXXFLAGS += -pg -DPROFILE -fno-inline
+  CFLAGS  += -pg -DPROFILE -fno-inline -fno-schedule-insns
   LDFLAGS += -pg
 endif
 
-CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
-CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)
+ifneq ($(WITH_REVISION),)
+  REV = $(shell svnversion)
+  ifneq ($(REV),)
+    CFLAGS  += -DREVISION="$(REV)"
+  endif
+endif
+
+CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
+CCFLAGS  += -Wstrict-prototypes
 
 
 SOURCES += bauer/brueckenbauer.cc
@@ -119,8 +128,10 @@
 SOURCES += bauer/wegbauer.cc
 SOURCES += besch/bild_besch.cc
 SOURCES += besch/bruecke_besch.cc
+SOURCES += besch/fabrik_besch.cc
 SOURCES += besch/grund_besch.cc
 SOURCES += besch/haus_besch.cc
+SOURCES += besch/vehikel_besch.cc
 SOURCES += besch/reader/bridge_reader.cc
 SOURCES += besch/reader/building_reader.cc
 SOURCES += besch/reader/citycar_reader.cc
@@ -169,11 +180,17 @@
 SOURCES += dataobj/einstellungen.cc
 SOURCES += dataobj/fahrplan.cc
 SOURCES += dataobj/freelist.cc
+SOURCES += dataobj/gameinfo.cc
 SOURCES += dataobj/koord.cc
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
 SOURCES += dataobj/marker.cc
 SOURCES += dataobj/network.cc
+SOURCES += dataobj/network_cmd.cc
+SOURCES += dataobj/network_cmp_pakset.cc
+SOURCES += dataobj/network_packet.cc
+SOURCES += dataobj/network_socket_list.cc
+SOURCES += dataobj/pakset_info.cc
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
@@ -209,6 +226,7 @@
 SOURCES += gui/components/gui_button.cc
 SOURCES += gui/components/gui_chart.cc
 SOURCES += gui/components/gui_combobox.cc
+SOURCES += gui/components/gui_fixedwidth_textarea.cc
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
 SOURCES += gui/components/gui_label.cc
@@ -254,6 +272,7 @@
 SOURCES += gui/label_info.cc
 SOURCES += gui/labellist_frame_t.cc
 SOURCES += gui/labellist_stats_t.cc
+SOURCES += gui/line_item.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
 SOURCES += gui/loadsave_frame.cc
@@ -265,24 +284,28 @@
 SOURCES += gui/money_frame.cc
 SOURCES += gui/optionen.cc
 SOURCES += gui/pakselector.cc
+SOURCES += gui/password_frame.cc
 SOURCES += gui/player_frame_t.cc
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/schedule_list.cc
+SOURCES += gui/server_frame.cc
 SOURCES += gui/settings_frame.cc
 SOURCES += gui/settings_stats.cc
+SOURCES += gui/signal_spacing.cc
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
 SOURCES += gui/station_building_select.cc
 SOURCES += gui/thing_info.cc
+SOURCES += gui/trafficlight_info.cc
 SOURCES += gui/welt.cc
 SOURCES += gui/werkzeug_waehler.cc
+SOURCES += old_blockmanager.cc
 SOURCES += player/ai.cc
 SOURCES += player/ai_goods.cc
 SOURCES += player/ai_passenger.cc
 SOURCES += player/simplay.cc
-SOURCES += old_blockmanager.cc
 SOURCES += simcity.cc
 SOURCES += simconvoi.cc
 SOURCES += simdebug.cc
@@ -313,9 +336,11 @@
 SOURCES += tpl/debug_helper.cc
 SOURCES += unicode.cc
 SOURCES += utils/cbuffer_t.cc
-SOURCES += utils/cstring_t.cc
+SOURCES += utils/checksum.cc
 SOURCES += utils/log.cc
+SOURCES += utils/memory_rw.cc
 SOURCES += utils/searchfolder.cc
+SOURCES += utils/sha1.cc
 SOURCES += utils/simstring.cc
 SOURCES += vehicle/movingobj.cc
 SOURCES += vehicle/simpeople.cc
@@ -336,10 +361,8 @@
     ALLEGRO_CFLAGS  := $(shell $(ALLEGRO_CONFIG) --cflags)
     ALLEGRO_LDFLAGS := $(shell $(ALLEGRO_CONFIG) --libs)
   endif
-  ALLEGRO_CFLAGS    += -DUSE_SOFTPOINTER
-  CFLAGS   += $(ALLEGRO_CFLAGS)
-  CXXFLAGS += $(ALLEGRO_CFLAGS)
-  LIBS     += $(ALLEGRO_LDFLAGS)
+  CFLAGS += $(ALLEGRO_CFLAGS) -DUSE_SOFTPOINTER
+  LIBS   += $(ALLEGRO_LDFLAGS)
 endif
 
 
@@ -351,13 +374,13 @@
 
 
 ifeq ($(BACKEND),sdl)
-  SOURCES  += simsys_s.cc
-  CFLAGS   += -DUSE_16BIT_DIB
-  CXXFLAGS += -DUSE_16BIT_DIB
+  SOURCES += simsys_s.cc
+  CFLAGS  += -DUSE_16BIT_DIB
   ifeq ($(OSTYPE),mac)
     # Core Audio (Quicktime) base sound system routines
     SOURCES += sound/core-audio_sound.mm
     SOURCES += music/core-audio_midi.mm
+    LIBS    += -framework Foundation -framework QTKit
   else
     SOURCES  += sound/sdl_sound.cc
     ifeq ($(findstring $(OSTYPE), cygwin mingw),)
@@ -379,18 +402,16 @@
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
   endif
 
-  CFLAGS   += $(SDL_CFLAGS)
-  CXXFLAGS += $(SDL_CFLAGS)
-  LIBS     += $(SDL_LDFLAGS)
+  CFLAGS += $(SDL_CFLAGS)
+  LIBS   += $(SDL_LDFLAGS)
 endif
 
 
 ifeq ($(BACKEND),mixer_sdl)
-  SOURCES  += simsys_s.cc
+  SOURCES += simsys_s.cc
   SOURCES += sound/sdl_mixer_sound.cc
   SOURCES += music/sdl_midi.cc
-  CFLAGS   += -DUSE_16BIT_DIB
-  CXXFLAGS   += -DUSE_16BIT_DIB
+  CFLAGS  += -DUSE_16BIT_DIB
   ifeq ($(SDL_CONFIG),)
     SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
     SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
@@ -398,38 +419,10 @@
     SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
   endif
-  CFLAGS   += $(SDL_CFLAGS)
-  CXXFLAGS += $(SDL_CFLAGS)
-  LIBS     += $(SDL_LDFLAGS)
-  LIBS     += -lSDL_mixer
+  CFLAGS += $(SDL_CFLAGS)
+  LIBS   += $(SDL_LDFLAGS) -lSDL_mixer
 endif
 
 ifeq ($(BACKEND),x11)
   SOURCES  += simsys_x$(COLOUR_DEPTH).c
   SOURCES += sound/no_sound.cc
-  SOURCES += music/no_midi.cc
-  CFLAGS   += -I/usr/X11R6/include
-  CXXFLAGS += -I/usr/X11R6/include
-  LIBS     += -L/usr/X11R6/lib/ -lX11 -lXext
-endif
-
-ifeq ($(BACKEND),posix)
-  SOURCES += simsys_posix.cc
-  SOURCES += music/no_midi.cc
-  SOURCES += sound/no_sound.cc
-endif
-
-
-ifneq ($(findstring $(OSTYPE), cygwin mingw),)
-  SOURCES += simres.rc
-  WINDRES ?= windres
-endif
-
-
-PROG ?= sim
-
-
-include common.mk
-
-
-makeobj_prog:
