=== debian/changelog ===
simutrans (110.0-3) unstable; urgency=low

  * Apply upstream patches to fix crash on resize.
    New patches: 0001-FIX-crashes-with-window-resizing-under-SDL.patch,
    0002-Code-treat-SYSTEM_RESIZE-event-separate-from-other-e.patch.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Feb 2011 16:47:49 +0100

simutrans (110.0-2) unstable; urgency=low

  * Do not use compiler flags specific to i386 and amd64. (Closes: #613962)
  * Use dpkg-buildflags to set compiler flags.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 18 Feb 2011 17:52:11 +0100

simutrans (110.0-1) unstable; urgency=low

  * New upstream release.
    + Improved wording of license information. (Closes: #590734)
    + No longer shortens large money amounts. (Closes: #576440)
    + No longer claims land is owned by another player when building tram
      tracks on a road with a vehicle on it. (Closes: #609938)
    + Passengers now get routed correctly. (Closes: #593536)
    + Adds option to use 12am/pm instead of 0am/pm. (Closes: #590834)
  * Adapt debian/rules and patches for new upstream release.
  * Add replacement for non-free SHA-1 implementation.
    + new patch: sha1-replacement.diff
  * Link less libraries into makeobj.
    + new patch: link-less-libraries.diff
  * debian/copyright: Add copyright information for utils/dr_rdgif.c.
  * Use source format 3.0 (quilt).
  * debian/control: Remove DM-Upload-Allowed.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 16 Feb 2011 23:58:13 +0100

simutrans (102.2.2~ds1-1) unstable; urgency=low

  * New upstream release.
    + debian/rules: Update get-orig-source target.
    + debian/control: Add build-dep on libbz2-dev.
    + debian/control: Bump dependency on simutrans-pak64 to 102.2.1.
      See also #565493.
    + Refresh patches.
  * Update translations.
    + debian/rules: Update list of excluded languages.
  * Correct spelling errors.
    + new patch: spelling.patch
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 12 Mar 2010 09:23:35 +0900

simutrans (102.2.1~ds1-1) unstable; urgency=low

  * New upstream release.
    + Allows waypoints for tram on city roads again. (Closes: #555924)
    + Refresh patches.
    + Update translations.
  * debian/watch: Update Debian version mangling.
  * Do not use "Artistic" as short name for the license. (Closes: #524732)
  * Use SDL Mixer backend to enable MIDI playback.
    (Closes: #552564) (LP: #424404)
    + MIDI playback needs a patch set, so suggest the "freepats" package.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 29 Dec 2009 00:22:27 +0900

simutrans (102.2+svn2786-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update translations.
  * debian/rules: Add get-orig-source target.
  * debian/rules: Add update-translations target.
  * debian/README.source: Document get-orig-source and update-translations
    targets.
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Oct 2009 15:29:14 +0900

simutrans (102.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update translations.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 06 Mar 2009 20:40:03 +0100

simutrans (101.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 13:41:25 -0500

simutrans (101.0-1) experimental; urgency=low

  * New upstream release.
    + Update translations.
  * Require latest version of simutrans-pak64 (101.0).
  * Refresh patches, remove those applied upstream.
  * debian/rules: Add `-alpha on' when using convert to preserve transparency.
  * debian/simutrans.desktop: Add Icon key (LP: #314093).
  * Add patch revert-svn-1937.diff to continue using ~/.simutrans for
    savegames.  Document this in README.Debian.
  * debian/copyright: Add additional copyright holders, move license text to
    its own section.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Jan 2009 19:46:52 +0100

simutrans (100.0+ds1-4) unstable; urgency=low

  * debian/rules: Remove `configure' target
  * debian/control: Add `Depends: ${misc:Depends}' for simutrans-data
    and simutrans-makeobj.
  * Apply upstream fix for power-bridges on vertical slopes
    (Closes: #507307)

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 15 Dec 2008 00:07:29 +0100

simutrans (100.0+ds1-3) unstable; urgency=low

  * config.diff: Use <endian.h> header to detect endianness
    (thanks to Peter De Wachter)
  * debian/watch: Remove "+ds1" from Debian version number
  * Omit translations for be (Belaruskaja), cn (Sim. Chinese), id (Bahasa),
    no (Norsk) because they are very incomplete or otherwise broken
    (Closes: #481266)
  * Fix makeobj portability issues (Closes: #493409)
    + 01_png.patch: png_uint_32 might actually be 64bit on some archs
      (thanks to Peter Green)
    + 02_makeobj_fixes.patch, 03_makeobj_cleanup.patch: Add proper
      serialization code instead of dumping in-memory objects
      (thanks to Peter De Wachter)

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 19 Aug 2008 00:06:30 +0200

simutrans (100.0+ds1-2) unstable; urgency=low

  * Remove cast from `const char*' to `int' in simconvoi.cc
    + new patch fix_casts.diff

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 02 Jul 2008 19:00:03 +0200

simutrans (100.0+ds1-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New Upstream release
    + makeobj works on big-endian archs (Closes: #472326)
    + fix crash when calling 'makeobj dump' (Closes: #473245)
    + fix crash if starting_year is setto a low value
      and crash in simcity.cc(stadt_t::gib_zufallspunkt)
      (Closes: #481264)
  * Repackage source
    + Upstream relicensed simsys.h, sound/no_sound.cc under a free license
  * Add debuging symbols to makeobj
  * Link makeobj with g++ instead of ld (should fix build on mipsel)
  * Use debhelper 7 to clean up debian/rules

