## simutrans 110.0.1

=== Makefile ===
--- 
+++ 
@@ -188,6 +188,7 @@
 SOURCES += dataobj/network.cc
 SOURCES += dataobj/network_cmd.cc
 SOURCES += dataobj/network_cmp_pakset.cc
+SOURCES += dataobj/network_file_transfer.cc
 SOURCES += dataobj/network_packet.cc
 SOURCES += dataobj/network_socket_list.cc
 SOURCES += dataobj/pakset_info.cc
@@ -425,4 +426,3 @@
 
 ifeq ($(BACKEND),x11)
   SOURCES  += simsys_x$(COLOUR_DEPTH).c
-  SOURCES += sound/no_sound.cc
