=== debian/changelog ===
simutrans (110.0.1-3) unstable; urgency=low

  * Fix compiling with gcc-4.6. (Closes: #625058)
    + new patch: 0001-jspaces-fix-compiling-with-gcc-4.6.0.patch
  * Make the build process more verbose.
  * Use hardening flags from hardening-includes.
  * Extend txt_convoi_count and txt_convoi_value. (LP: #760999)
    + new patch: 0001-Extend-txt_convoi_count.patch
    + new patch: extend-txt_convoi_value.patch
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 May 2011 00:04:47 +0200

simutrans (110.0.1-2) unstable; urgency=low

  * Add changes upstream decided to add after uploading the first time.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 20:25:13 +0100

simutrans (110.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove backported patches introduced in 110.0-3.
  * debian/rules: Update get-orig-source for new upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 11 Mar 2011 11:30:50 +0100
