=== debian/control ===
Source: simutrans
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Clint Adams <clint@gnu.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng12-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7), hardening-includes
Standards-Version: 3.9.2
Homepage: http://www.simutrans.com/
Vcs-Git: git://git.debian.org/git/pkg-games/simutrans.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans.git

Package: simutrans
Architecture: any
Depends: simutrans-pak64 (>= 102.2.1), simutrans-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Depends: ${misc:Depends}
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.
