=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
+
+include /usr/share/hardening-includes/hardening.make
+CFLAGS   += $(HARDENING_CFLAGS)
+CXXFLAGS += $(HARDENING_CFLAGS)
+LDFLAGS  += $(HARDENING_LDFLAGS)
 
 build: build-stamp
 build-stamp:
@@ -74,8 +79,8 @@
 .PHONY: build clean binary-indep binary-arch binary install configure
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 4303
-VERSION = 110.0
+SVNREV  = 4356
+VERSION = 110.0.1
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:
